GensivDocs
AcademyAPI referenceMCP

Basics

OverviewAuthenticationRate limitsErrors

Endpoints

List cited domains GETList cited URLs GETGet citation positions GETList citations GETGet citation type trends GETGet cited page trends GETGet cited URL GET
Citations

Get cited page trends GET

Cited pages with daily rate, first cited, ramp up, peak and decay.

Get Reddit overview GET

Most cited Reddit posts with daily citation counts.

Gensiv

Resources

AcademyWebsiteBlogGlossary

Developer tools

API referenceMCP serverChangelog

Support

Contact supportGetting startedRate limits

© 2026 Gensiv. All rights reserved.

Citations

Get cited URL

GET
/brands/{brandId}/citations/urls/{pageId}

One cited URL with its daily rate, position and prompts.

Authorization

apiKey
headerx-api-key<token>

Workspace API key from Settings > API keys. Also accepted as Authorization: Bearer gsk_...

Path Parameters

brandId*string
Formatuuid
pageId*string
Formatuuid

Query Parameters

engines?string

Comma-separated engine slugs

Lengthlength <= 500
types?string

Comma-separated prompt types

Lengthlength <= 200
intents?string

Comma-separated prompt intents

Lengthlength <= 200
topics?string

Comma-separated topic ids

Lengthlength <= 2000
countries?string

Comma-separated ISO country codes, lowercase

Lengthlength <= 1000
tags?string

Comma-separated prompt tag ids

Lengthlength <= 2000
competitors?string

Comma-separated competitor ids; responses mentioning any

Lengthlength <= 2000
from?string

Answered on or after this UTC date; omit for all time

Match^\d{4}-\d{2}-\d{2}$
to?string

Answered on or before this UTC date; omit for today

Match^\d{4}-\d{2}-\d{2}$

Response Body

The cited URL

application/json
  1. response
  1. response
  2. …
page*
days*array<>
prompts*array<>
brands*array<>
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/citations/urls/497f6eca-6276-4993-bfeb-53cbbbba6f08'
Example Response
{  "page": {    "pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809",    "url": "string",    "title": "string",    "domain": "string",    "sourceType": "string",    "contentType": "string",    "owner": "brand",    "brandKey": "string",    "engines": [      "string"    ],    "citations": 0,    "share": 0,    "average": 0,    "best": 0,    "worst": 0  },  "days": [    {      "day": "string",      "citations": 0,      "responses": 0,      "rate": 0,      "position": 0    }  ],  "prompts": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "text": "string",      "type": "string",      "intent": "string",      "citations": 0,      "average": 0    }  ],  "brands": [    {      "key": "string",      "name": "string",      "domain": "string",      "logoUrl": "string",      "isBrand": true    }  ]}

Get cited page trends GET

Cited pages with daily rate, first cited, ramp up, peak and decay.

Get Reddit overview GET

Most cited Reddit posts with daily citation counts.

Start free trial
Start free trial
Example Request
curl -X GET 'https://app.gensiv.com/api/v1/brands/497f6eca-6276-4993-bfeb-53cbbbba6f08/citations/urls/497f6eca-6276-4993-bfeb-53cbbbba6f08'
{
  "page": {
    "pageId": "347b9bf8-fe00-46f6-b8ca-1e06b3bd5809",
    "url": "string",
    "title": "string",
    "domain": "string",
    "sourceType": "string",
    "contentType": "string",
    "owner": "brand",
    "brandKey": "string",
    "engines": [
      "string"
    ],
    "citations": 0,
    "share": 0,
    "average": 0,
    "best": 0,
    "worst": 0
  },
  "days": [
    {
      "day": "string",
      "citations": 0,
      "responses": 0,
      "rate": 0,
      "position": 0
    }
  ],
  "prompts": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "text": "string",
      "type": "string",
      "intent": "string",
      "citations": 0,
      "average": 0
    }
  ],
  "brands": [
    {
      "key": "string",
      "name": "string",
      "domain": "string",
      "logoUrl": "string",
      "isBrand": true
    }
  ]
}